# Generated by Django 3.0.8 on 2020-09-07 20:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0014_auto_20200826_0241'),
    ]

    operations = [
        migrations.CreateModel(
            name='Table',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('table_name', models.TextField(max_length=80, unique=True)),
                ('table_description', models.TextField(blank=True, max_length=300, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Field',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field_name', models.TextField(max_length=80)),
                ('field_type', models.IntegerField(choices=[(1, 'Texto'), (2, 'Inteiro'), (3, 'Decimal'), (4, 'Percentual'), (5, 'Monetário')])),
                ('field_size', models.IntegerField(null=True)),
                ('field_description', models.TextField(blank=True, max_length=300, null=True)),
                ('table', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='table', to='api.Table')),
            ],
            options={
                'unique_together': {('table', 'field_name')},
            },
        ),
    ]
